VectorLinux

General Announcements => VL package news and Updates => Topic started by: M0E-lnx on April 29, 2008, 01:32:38 pm

Title: vpackager-1.0.11 has been released!
Post by: M0E-lnx on April 29, 2008, 01:32:38 pm
The next release of vpackager is now available for download.

I have misplaced my ssh keys, so I'd appreciate if one of the appropriate repo maintainers placed a copy of it in the correct section of the forums for this.

Notes about this release
This release features the same backbone as the preceeding releases with a couple of exeptions.
New features include

Another major change in this release:
The package editing tool has been disabled.
This is due to the lack of useage for this type of application and in order to concentrate development efforts on the most important and mostly used functions.
The plan is to drop it unless the community asks for it.

How do I get it?
http://vpackager.googlecode.com
The project page is the main source for the package until it gets put into the repositories. Please see the list of dependencies in the project page, all of them are available from the repositories.
*** IMPORTANT ***
Please upgrade your gambas-runtime package to version 2.5.0 and install libffi from the repositories.

screenies
(http://upload.snelhest.org/images/08042912Fmain.jpg) (http://vpackager.googlecode.com)

Visit http://vpackager.googlecode.com for more screenies, details, and Downloads.

Dont forget to report bugs. Either to this thread or to the "Issues" tab on the project page (http://code.google.com/p/vpackager/issues/list)

Enjoy ;)
Title: Re: vpackager-1.0.11 has been released!
Post by: uelsk8s on May 20, 2008, 07:13:17 am
This version of vpackager will not finish building a package unless you have supplied a slack-desc file.
This is good and bad, I like making sure there is a description, but some people will just thing vpackager is broken.
Title: Re: vpackager-1.0.11 has been released!
Post by: Dweeberkitty on May 20, 2008, 07:43:00 am
Ahhhh, so that's what the problem is. I actually did think it was broken. It doesn't tell you what the problem is.
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on May 20, 2008, 09:24:10 am
Thanks for the report. The problem has been fixed
To get an updated binary, download http://vpackager.googlecode.com/svn/trunk/vpackager.gambas
rename it to "vpackager" and place it in your /usr/bin

Keep testing and reporting to this thread after more bugs have been reported and squashed, we will see another release
Title: Re: vpackager-1.0.11 has been released!
Post by: blurymind on May 24, 2008, 09:59:15 am
please,dont drop the package editor tool.. Can you sepparate it on a different project/application then?

<offtopic> im still around btw, just waiting for a vector release with xorg7.3 to come out so i can have another try to get wacom driver to build and work correctly on vector.The only thing thats stopping me from installing it again on my main machine.It seems that the driver wouldnt work with the xorg on vec59gold.
does the light edition have a newer xorg? I will download it and install it right now if it does.Somebody has to build that wacom driver soon
Title: Re: vpackager-1.0.11 has been released!
Post by: Joe1962 on May 26, 2008, 08:46:26 am
please,dont drop the package editor tool.. Can you sepparate it on a different project/application then?
I'll second that!  :)
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on May 26, 2008, 09:20:10 am
I will resume development on that area once the builder and crux GUI get's tested enough and debugged.
The code is still there, but has not been fixed to work along with the current general functions.

Wont take that much work to do
Title: Re: vpackager-1.0.11 has been released!
Post by: blurymind on May 29, 2008, 04:56:27 am
found a minor bug/aanoyance:

Code: [Select]
unknwon option --sysconfdir=/etc
supported options are:
--help - print this help and exit
--prefix=<path> specify install path.
       <path>/bin - will hold all binaries
       <path>/share/fbxkb - config files, pixmaps etc
       default <path> is /usr
--devel - enable devel mode: no optimization + debug symbols
--transparency - enable EXPERIMENTAL transparency support
FAILED

****  + Error in configure process ****

the problem is a typo in the default config option that it passes,i guess..

this is vpackager on vl-lightrc1

i'm trying to build fbxkb...maybe its configure script doesnt support those options..

EDIT: aah,forget it,it can't even pass make..I'll do it with the console

it seems that vpackager gets some error during "make"... when i run make in the tmp directory where it is, it compiles without a problem... btw i packaged it...to whom do i have to send the package? I lost my ftp key
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on May 29, 2008, 05:00:53 am
which application is this?

I think this problem is specific to this application. Seems it will not support the --sysconfdir argument.
The config string parsed by default has worked in every other application I've built
Title: Re: vpackager-1.0.11 has been released!
Post by: blurymind on May 29, 2008, 05:05:48 am
i edited my post.

It seems that the problem is with the make step

Code: [Select]
****  + Run make ****
make: *** No targets specified and no makefile found.  Stop.
FAILED

**** An error occurred in the build process... Please check the build log ****

which works when i run it with the terminal when i go there.

anyway,i packaged it and it is a must for the repo,especially if you are using pxde and hneed a keyboard switcher for the panel.
Title: Re: vpackager-1.0.11 has been released!
Post by: sparkyhall on June 10, 2008, 12:27:31 pm
Been trying vpackage 1.0.12 (from help about, I'm sure it said 1.0.11 in repo) on VL5.9 standard and I seem to be having a few problems with it.

I'm using vpackage to compile fpm, all goes well with no errors but if I click on install I get the following error message:

[4] Not enough arguments. FrmBuildView.?.0

If I click on save instead then it tells me it will save in my home directory but the only file to be saved there is a script file. If I then look in the /tmp/vpackage/ the built package can be found. The built package seems to install and run OK so I think the actual compile and build is working OK.

Also installing vpackage 1.0.12 seems to break VASMCC which I guess is something to do with the packages that are updated during vpackage installation. VASMCC now gives the following error:

[2] Cannot load class 'FAItMain': Version too old. Please recompile the project.

Please bare in mind that I don't really no what I am doing but then vpackage is supposed to make it easy for us noobs to make packages.

I have also tried all of the above on a clean install of VL5.9 standard with the same results. This post is to help the developers rather than being a request for help but it would be nice to know I'm doing something wrong. If you need more info just let me know and I'll do my best to help.

Chris
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on June 10, 2008, 01:13:33 pm
Hi sparkyhall...

Thanks for testing...
As you may know... I, El moe-dogg is responsible for both of those bugs! :(

I will look into the vpackager bug... I assume you have upgraded the binary as instructed previously, that's why you're seeing 1.0.12 and not 1.0.11. Meaning.. that the bug is still there... Will get it squared away.

About vasmCC...

It is possible that things broke because of the way vapckager used to ship (with needed libraries... ) whereas these libraries are now available in the repos as well..
Make sure your gambas2-runtime is at version 2.5.0 or newer
also, make sure there is nothing in /opt/vpackager (if you have this, you need to remove this and remove the vpackager package, then re-install a new copy of vpackager)

AFAIK, vasmcc should work fine after that
Title: Re: vpackager-1.0.11 has been released!
Post by: sparkyhall on June 10, 2008, 02:51:39 pm
Hi MOE-Inx,

Thanks for the replay it's much appreciated.

I must apologies as I forgot to mention that I had indeed updated  vpackager in /usr/bin as per your previous post. Too much wine I guess!

I have checked in /opt/ and the only things there are /opt/Adobe, /opt/kde and /opt/seamonkey. I have also checked the gambas version with Gslapt and this claims the following are installed:
   gambas-runtime 1.0.19-i586-1vl59
   gambas2-runtime 2.5.0--i586-1vl59

Out of interest I have tried just installing gambas 2.5.0 on a fresh install of vl5.9 standard and that breaks vasmcc although this time it just doesn't start with no errors reported. If I then remove gambas 2.5.0 vasmcc then works again. One thing I noted is that when I select gambas 2.5.0 for removal Gsalpt automatically selects vasmcc 1.0.12, vpackager 1.0.10b and 1.0.11 for removal even though they are not installed. I have done this on a separate partition so my main partition is unaffected so as before this is for information rather than a request for help.

Chris
Title: Re: vpackager-1.0.11 has been released!
Post by: wcs on June 10, 2008, 06:05:48 pm
Hello, all.

Been testing vpackager again. What a great version, M0E. Thanks!

Just a couple of suggestions (this refers to 1.0.11, in the repos):

1. When one creates a slack-desc file, it starts with blank fields and just the name of the program. The problem is after hitting save and continue, if then I want to make amendments to the slack-desc file (and click the button again) I get all the fields blank again. The same goes for previewing or slightly changing a previously formatted file. I guess it would be nice if the "new description" button was actually for "new or 'current' descriptions"

2. I compiled a program with customized configure options and build flags. While the configure options are correct in the slack-desc file, the build flags are written as the default ones.

3. Related to the above, it would be nice if the outputs during the process (and the log file) contained the commands that are being used. That way, one could double-check the ./configure options and build flags while it is running, or later see what was used just by opening the log file.

4. Vpackager told me that the package was saved in my /home directory (I guess because that's where the compressed source was), but there was no copy there. It was only in the temporary directory.

Thanks a lot!

Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on June 10, 2008, 06:32:17 pm
WoW wcs... interesting stuff...

Can I PLEASE get you to file a bug report for me at the project page?
That will help a lot... Thanks for testing.... When you're writing code and trying to test the stuff at the same time you tend to go right past little important details like that

Please do me a favor... fill out the bug reports at the project page.... please.. I have taken a heavy load with vasmcc as well... these bug reports at the project page will help me get to the right place when I start debuggin...

Thanks

EDIT
Well, I've made a couple of entries myself for these bugs... so I can come back later and work on them..

But regarding your 3rd issue.
In the 1.0.12 release (not released yet) I have enabled the build script writer function. This will generate a script with all the commands necessary to build the same package using whatever the user input was for that one application.
Also, in that release, before the build process begins, vpackager will play information such as application details, CFLAGS to be used, configure options and stuff like that.
Title: Re: vpackager-1.0.11 has been released!
Post by: sparkyhall on June 11, 2008, 01:58:56 pm
Hi MOE,

I've only just seen your reply so I went to file a bug report and it seems you've already done it so thanks for that.

I'd just like to say apps like VASMCC and vpackager make a huge difference to linux noobs like myself so a big thanks to you and all the other contributors. I will of course keep an eye open for new releases and help with the testing where I can.

Chris
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on June 11, 2008, 02:06:24 pm
I appreciate you guys testing...

I really need testers badly.... so all contributions bug reports are welcome via the project page.
a lot of times I'll fill them out myself as notes to myself, but you guys can do them too. In fact, I'd rather you guys reported bugs there.

Title: Re: vpackager-1.0.11 has been released!
Post by: wcs on June 11, 2008, 04:42:42 pm
Thanks for doing it, M0E.
I've submitted the other bug and an additional suggestion.

Quote
In the 1.0.12 release (not released yet) I have enabled the build script writer function. This will generate a script with all the commands necessary to build the same package using whatever the user input was for that one application.
Also, in that release, before the build process begins, vpackager will play information such as application details, CFLAGS to be used, configure options and stuff like that.

"Build script writer function"... sweet.
Title: Re: vpackager-1.0.11 has been released!
Post by: Dweeberkitty on June 11, 2008, 07:54:01 pm
I appreciate you guys testing...

I really need testers badly.... so all contributions bug reports are welcome via the project page.
a lot of times I'll fill them out myself as notes to myself, but you guys can do them too. In fact, I'd rather you guys reported bugs there.

MOE-lnx, I'm sorry. I understand how it feels to have too few testers (MMBD). I don't use vpackager very much but I do recommend it to new VL users so I will try to do my best to submit any bugs I find.
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on June 12, 2008, 05:55:24 am
I've submitted the other bug and an additional suggestion.


Sweet!..

I really appreciate that dude...
Keep 'em comin'
Title: Re: vpackager-1.0.11 has been released!
Post by: edgeofthewoods on August 17, 2008, 06:49:21 pm
Hi there. This is my first post here. Been around linux for a few years, Debian and RPM distros and Sabayon. This is my first Slackware based and it is great. But I am having this problem. I posted it to tech support and was asked to post it here.

System specs:
SOHO 5.9 with media files.
AMD 5200 4 gigs of ram 750 gig HD Nividia 6100 chipset.

Please post that question on the website. You can use this
thread:

http://forum.vectorlinux.com/index.php?topic=6144.0

Karl

Chuck Hudson via IM wrote:
> > Sun Aug 17 11:05:06 2008: Request 243 was acted upon.
> > Transaction: Ticket created by grundair@gmail.com
> >        Queue: support
> >      Subject: VPACKAGE Errors
> >        Owner: Nobody
> >   Requestors: grundair@gmail.com
> >       Status: new
> >  Ticket <URL: https://vector.ecosq.com:$WebPort/im/Ticket/Display.html?id=243 >
> >
> >

> >

> >
> > Hello. Sorry to keep bothering, but this is my first time with a slack
> > based distro.
> >
> > I am geting this error with Vpackage.
> >
> > This application raised and unexpected error an must abort.
> >
> > [45] file or directory does not exist
> > FText editor .?0
> >
> > Getting this error I clicked Edit Build Script on the main page where
> > the buttons have display available and Update ports and Build current.
> >
> >
> > The next error is:
> >
> > This application raised and unexpected error an must abort.
> > [-1] key already used:'chw.a'
> > MdlCruxFunctions.?.0
> >
> > What I did before those errors happened is I added souses to the
> > repsoitory through the GUI of Vpackager.
> >
> > Thanks
> >
> > Chuck Hudson Edgewood NM
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on August 20, 2008, 06:06:22 am
Can you tell us which version this is? and which repositores you enabled
Title: Re: vpackager-1.0.11 has been released!
Post by: edgeofthewoods on August 20, 2008, 06:17:05 am
Can you tell us which version this is? and which repositores you enabled

It is vpackager 1.0.11, the version that came with my new 5.9 soho. I at first enabled all of them, then I got errors. I then went back to the Vector only ones. Sorry I am at work on my Mandriva laptop so I can't check.


Chuck
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on August 20, 2008, 06:42:19 am
Ok. when you get a chance... Check it and let me know what causes the error.
also, try running it from a terminal window as root and post any output in that terminal here after the program has crashed
Title: Re: vpackager-1.0.11 has been released!
Post by: edgeofthewoods on August 20, 2008, 07:43:53 am
Ok. when you get a chance... Check it and let me know what causes the error.
also, try running it from a terminal window as root and post any output in that terminal here after the program has crashed
Thanks!  The error is caused when ever I click List Avaiable I get the error I posted.

Chuck
Title: Re: vpackager-1.0.11 has been released!
Post by: M0E-lnx on August 20, 2008, 07:53:56 am
I'd like you to fill out a bug report for this... This is the first time I hear this..

Please visit
http://developer.berlios.de/projects/vpackager/
Click on "BUGS" and create a new report.
I'm currently busy with another project ATM, A report there will help me pin-point the problem.

Thank you
Title: Re: vpackager-1.0.11 has been released!
Post by: edgeofthewoods on August 23, 2008, 06:26:42 pm
Hey folks. Stupid question. What if I remove vpackager and re-install it? I've tried it once but when I reload it i get the same error. I removed by

slapt-get --remove vpackager

Thanks
Chuck
Title: Re: vpackager-1.0.11 has been released!
Post by: edgeofthewoods on August 23, 2008, 06:31:26 pm
Ok. when you get a chance... Check it and let me know what causes the error.
also, try running it from a terminal window as root and post any output in that terminal here after the program has crashed

Sorry for the delay but here is the CL results

thrudheim://home/chuck1
root:# vpackager
MdlCruxFunctions.?.0: Key already used: chw.a
WARNING: circular references detected
FrmPorts (1)
FMain (1)
Mutex destroy failure: Device or resource busy
thrudheim://home/chuck1
root:#             


Most likely something stupid I did!!:)

CHuck
Title: Re: vpackager-1.0.11 has been released!
Post by: blurymind on February 13, 2009, 09:43:25 am
alright. I found a bug in vpackager 1.0.11. It does not save packages built from compressed source.
I tried to make a ristretto package and it compiled it successfully,but i couldnt find it on the desktop,where i told vpackager to put it.

I also tried to build it from cruxports and it compiled fine,but then it didnt install,giving me the following error:
ERROR: File not found: /usr/ports/VL/ristretto/ristretto-0.0.7-i586-1vl60.tlz
FAILED
 when i looked at it log,i saw that it gave it a different name,from the one i wanted (vl6):
Building '/usr/ports/VL/ristretto/ristretto-0.0.7-i586-1vl59.tlz' succeeded.

i looked if that file exists,and it does..so i had to copy it and rename it by hand
Sorry for being absent for some time. I'm back and willing to help however i can to make this tool one of VEc's killer apps. I think that bugs such as this should be fixed before it gets into VL6 gold- thats when alot of people will start downloading and trying it alot ..